//-------------------------------------
//Copyright Jerome LEVEQUE 2005
//leveque_jerome@hotmail.com
//
//Part of the Sudoku game for BeOS
//-------------------------------------

#ifndef _BASE_WINDOW_H
#define _BASE_WINDOW_H

//------------------------------------------------------------------

#include "App.h"
#include "Views.h"

#include <Window.h>

//------------------------------------------------------------------

class BaseWindow : public BWindow
{
public:
	BaseWindow(BRect size);
	~BaseWindow(void);
	void MessageReceived(BMessage *msg);
	bool QuitRequested(void);

private:
	void KillThread(void);
	
	SudokuView *sudoku_view;
};

//------------------------------------------------------------------

#endif
