//-------------------------------------
//Copyright Jerome LEVEQUE 2005
//leveque_jerome@hotmail.com
//
//Part of the Sudoku game for BeOS
//-------------------------------------

#include "App.h"
#include "Window.h"

#include <Alert.h>

//------------------------------------------------------------

SudokuApp::SudokuApp(void)
			: BApplication("application/x-vnd.jerl1.Sudoku")
{
	NewWindow();
}

//------------------------------------------------------------

void SudokuApp::AboutRequested(void)
{
	(new BAlert(NULL, "By Jerome LEVEQUE\n\nVersion : 1.0", "Close"))->Go();
}

//------------------------------------------------------------

void SudokuApp::NewWindow(void)
{
BRect rect(100, 100, 650, 520);
BaseWindow *Fenetre = new BaseWindow(rect);
	Fenetre->Show();
}

//------------------------------------------------------------

void SudokuApp::MessageReceived(BMessage *msg)
{
	if ((msg->what == UPDATE_NOW) && (WindowAt(0) != NULL))
		WindowAt(0)->PostMessage(msg);
	else
		BApplication::MessageReceived(msg);
}

//------------------------------------------------------------
